# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "activemodel-errors-tree"
  spec.version       = "0.1.0" # for some reason Rails applications do not like it defined in activemodel/errors/tree/version
  spec.authors       = ["Oded Niv"]
  spec.email         = ["oded.niv@gmail.com"]

  spec.summary       = %q{ActiveModel errors format actually appropriate for APIs.}
  spec.description   = %q{Builds a tree of errors instead of the 1-dimension one generated by ActiveMode::Base#errors.messages.}
  spec.homepage      = "https://github.com/odedniv/activemodel-errors-tree"
  spec.license       = "UNLICENSE"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "activesupport", ">= 4.2"
  spec.add_runtime_dependency "activemodel", ">= 4.2"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "sqlite3", "~> 1.3"
  # TODO: switch to activerecord 5 and remove active_model-errors_details
  spec.add_development_dependency "active_model-errors_details", "~> 1.2"
  spec.add_development_dependency "activerecord", "~> 4.2"
end
